<!DOCTYPE html>
<html
        lang="en"
        xmlns:th="http://www.thymeleaf.org"
        xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
        xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
        layout:decorate="~{layout3}"
>
<head>
    <meta charset="UTF-8" />
    <title>Position</title>
</head>
<body>

<main
        layout:fragment="main"
        class="container-xxl bd-gutter mt-3 my-md-4 bd-layout"
>
    <div th:include="sidebar/sidebar_masterdata::sidebar_masterdata" th:remove="tag">
        sidebar
    </div>

    <main class="bd-main-xxl">
        <div class="row">
            <div class="col-md-12">
                <div class="h4 pb-2 mb-4 text-dark border-bottom border-dark">
                   <i class="fa fa-sign text-secondary" ></i> Position
                </div>
            </div>
        </div>

        <div class="alert alert-success" th:if="${success != null}">
            <h4>Save Data Success!</h4>

            <p>Data Berhasil Disimpan.</p>
        </div>

        <div class="alert alert-danger" th:if="${gagal != null}">
            <h4>Save Data Unsuccesfully!</h4>

            <p>
                Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya.
                hapus anggaran terlebih dahulu sebelum menghapus departemen ini..
            </p>
        </div>

        <form method="get">
            <div class="row">
                <div class="col-md-6">
                    <!--            <h3 class="box-title">List of Budget Line</h3>-->
                    <p>
                        <a
                                class="link-primary"
                                th:href="@{/masterdata/position/new}"
                                role="button"
                        >Klik disini</a
                        >
                        jika anda ingin mendaftarkan data baru.
                    </p>
                </div>
                <div class="col-md-6" align="right"></div>
            </div>
            <div class="row">
                <div class="col-md-9">
                    Show entries <span sd:page-size-selector="javascript"></span>
                </div>

                <div class="col-md-3" align="right">
                    <input
                            class="form-control me-2"
                            type="text"
                            placeholder="Search"
                            name="search"
                            th:value="${search}"
                            aria-label="Search"
                    />
                    <!--                <button class="btn btn-danger" type="submit" style="background-color: #15408d; border-color:#15408d">Log out</button>-->
                </div>
            </div>
            <br />
        </form>


        <div class="row">
            <div class="col-md-12">
<!--                <div class="tableFixHead">-->
                    <table class="table table-striped table-hover small ">
                        <thead>

                        <tr>
                            <th class="pt-3 pb-3 border-dark border-start-0 border-end-0 text-end" scope="col" style="width: 10px">#</th>
                            <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">Company</th>
                            <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">Dept</th>
                            <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">Code</th>
                            <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col">Name</th>
                            <th class="pt-3 pb-3 border-dark border-start-0 border-end-0" scope="col" style="width: 40px"></th>
                        </tr>
                        </thead>
                        <tbody class="align-middle">
                        <tr th:each="dataPosition,row : ${listPosition}">
                            <td class="border-start-0 border-end-0 text-end" th:text="${(row.index + 1) + (listPosition.number * listPosition.size)+'.'}">1.</td>
                            <td class="border-start-0 border-end-0" style="width: 10%" >
                                <span class="text-truncate" th:text="${dataPosition.getDepartment().getCompanies().getCompanyName()}"></span>
                            </td>
                            <td class="border-start-0 border-end-0 text-truncate" style="width: 10%">
                                <span class="text-truncate w-100" th:text="${dataPosition.department.departmentCode}"></span>
                            </td>
                            <td class="border-start-0 border-end-0 text-truncate" th:text="${dataPosition.positionCode}">

                            </td>
                            <td class="border-start-0 border-end-0 text-truncate">
                                <a th:href="@{/masterdata/position/edit(position = ${dataPosition.id})}" th:text="${dataPosition.positionName}" title="edit"></a>
                            </td>
                            <td class="border-start-0 border-end-0">
                                <form method="post" th:action="@{/masterdata/position/delete(position=${dataPosition.id})}">
                                    <button type="submit" class="btn btn-danger btn-sm"
                                            onclick="return confirm('Are you sure want to delete this?')">
                                        <i class="fa fa-trash"></i>
                                    </button>
                                </form>
                            </td>
                        </tr>
                        </tbody>
                    </table>
<!--                </div>-->
                <br />

                <nav aria-label="Page navigation example">
                    <ul class="pagination" sd:pagination="full"></ul>
                </nav>
            </div>
        </div>

    </main>


</main>
</body>
</html>



<!--<!DOCTYPE html>-->
<!--<html xmlns:th="http://www.thymeleaf.org"-->
<!--      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"-->
<!--      layout:decorate="~{layout}">-->
<!--<head>-->
<!--    <meta charset="UTF-8">-->
<!--    <title>Position</title>-->
<!--</head>-->
<!--<body>-->

<!--<section layout:fragment="breadcrumb" class="content-header">-->
<!--    <h1>-->
<!--        Position-->
<!--        <small>List Data</small>-->
<!--    </h1>-->
<!--    <ol class="breadcrumb">-->
<!--        <li class="treeview active"> Master Data</li>-->
<!--        <li class="active"> Position</li>-->
<!--    </ol>-->
<!--</section>-->

<!--<section layout:fragment="main" class="content">-->
<!--    <div class="row">-->
<!--        <div class="col-md-8">-->

<!--            <div class="callout callout-success" th:if="${success != null}">-->
<!--                <h4>Save Data Success!</h4>-->

<!--                <p>Data Berhasil Disimpan.</p>-->
<!--            </div>-->

<!--            <div class="callout callout-success" th:if="${deleted != null}">-->
<!--                <h4>Delete Data Success!</h4>-->

<!--                <p>Data Berhasil Dihapus.</p>-->
<!--            </div>-->

<!--            <div class="callout callout-danger" th:if="${gagal != null}">-->
<!--                <h4>Save Data Unsuccesfully!</h4>-->

<!--                <p>Data Tidak dapat dihapus karena ada anggaran aktif di dalamnya. hapus anggaran terlebih dahulu sebelum menghapus departemen ini..</p>-->
<!--            </div>-->

<!--            <div class="box">-->
<!--                <form method="get">-->
<!--                    <div class="box-header with-border">-->
<!--                        <div class="row">-->
<!--                            <div class="col-md-6">-->
<!--                                <h3 class="box-title">List of Position</h3>-->
<!--                            </div>-->
<!--                            <div class="col-md-6" align="right">-->
<!--                                Show entries <span sd:page-size-selector="javascript"></span>-->
<!--                            </div>-->
<!--                        </div>-->
<!--                    </div>-->

<!--                    <div class="box-header with-border">-->
<!--                        <div class="row">-->
<!--                            <div class="col-md-6">-->
<!--                                <div class="input-group input-group-sm" style="width: 150px;">-->
<!--                                    <a th:href="@{/masterdata/position/new}" name="tambah" type="button" class="btn btn-block btn-default">+ NEW POSITION</a>-->
<!--                                </div>-->
<!--                            </div>-->

<!--                            <div class="col-md-6" align="right">-->
<!--                                <div class="input-group input-group-sm" style="width: 150px;">-->
<!--                                    <input type="text" name="search" class="form-control pull-right" th:value="${search}" placeholder="Search">-->
<!--                                    <div class="input-group-btn">-->
<!--                                        <button type="submit" class="btn btn-default"><i class="fa fa-search"></i></button>-->
<!--                                    </div>-->
<!--                                </div>-->
<!--                            </div>-->

<!--                        </div>-->
<!--                    </div>-->
<!--                </form>-->
<!--                &lt;!&ndash; /.box-header &ndash;&gt;-->


<!--                <div class="box-body table-responsive no-padding">-->
<!--                    <table class="table table-bordered">-->
<!--                        <tr>-->
<!--                            <th style="width: 10px">#</th>-->
<!--                            <th>Company</th>-->
<!--                            <th>Dept</th>-->
<!--                            <th>Code</th>-->
<!--                            <th>Name</th>-->

<!--&lt;!&ndash;                            <th>Overtime Eligible</th>&ndash;&gt;-->
<!--                            <th style="width: 40px"></th>-->
<!--                        </tr>-->
<!--                        <tr th:each="dataPosition,row : ${listPosition}">-->
<!--                            <td th:text="${(row.index + 1) + (listPosition.number * listPosition.size)}">1.</td>-->
<!--                            <td th:text="${dataPosition.getDepartment().getCompanies().getCompanyName()}">BEASISWA</td>-->
<!--                            <td th:text="${dataPosition.department.departmentName}"></td>-->
<!--                            <td th:text="${dataPosition.positionCode}">BEASISWA</td>-->
<!--                            <td> <a th:href="@{/masterdata/position/edit(position = ${dataPosition.id})}" th:text="${dataPosition.positionName}" title="edit"></a></td>-->
<!--&lt;!&ndash;                            <td align="center">&ndash;&gt;-->

<!--&lt;!&ndash;                                <label>&ndash;&gt;-->

<!--&lt;!&ndash;                                    <select class="form-control select2" th:name="${dataPosition.getId()}" th:id="${dataPosition.getId()}" style="width: 100%;" onchange="ubahAktif(this)">&ndash;&gt;-->
<!--&lt;!&ndash;                                        <option th:value="${dataPosition.getOvertimeEligible()}" th:text="${dataPosition.getOvertimeEligible()}">sdasd</option>&ndash;&gt;-->
<!--&lt;!&ndash;                                        <option th:value="AKTIF">AKTIF</option>&ndash;&gt;-->
<!--&lt;!&ndash;                                        <option th:value="NONAKTIF">NONAKTIF</option>&ndash;&gt;-->
<!--&lt;!&ndash;                                    </select>&ndash;&gt;-->

<!--&lt;!&ndash;&lt;!&ndash;                                    <input type="checkbox" th:value="${dataPosition.getOvertimeEligible()}" name="overtimeEligible" id="overtimeEligible" class="flat-red" onclick="ubahAktif()">&ndash;&gt;&ndash;&gt;-->

<!--&lt;!&ndash;                                    <input type="hidden" id="isiOvertimeEligible" name="isiOvertimeEligible" th:value="${dataPosition.getId()}">&ndash;&gt;-->
<!--&lt;!&ndash;                                </label>&ndash;&gt;-->

<!--&lt;!&ndash;                            </td>&ndash;&gt;-->
<!--                            <td>-->

<!--&lt;!&ndash;                                    <a th:href="@{/masterdata/position/edit(position = ${dataPosition.id})}" class="btn btn-success btn-xs">Edit</a>&ndash;&gt;-->

<!--                                    <form method="post" th:action="@{/masterdata/position/delete(position=${dataPosition.id})}">-->
<!--                                        <button type="submit" class="btn btn-danger btn-xs"-->
<!--                                                onclick="return confirm('Are you sure want to delete this?')">-->
<!--                                            Delete-->
<!--                                        </button>-->
<!--                                    </form>-->
<!--                            </td>-->
<!--                        </tr>-->

<!--                        <tr>-->
<!--                            <th style="width: 10px">#</th>-->
<!--                            <th>Company</th>-->
<!--                            <th>Dept</th>-->
<!--                            <th>Code</th>-->
<!--                            <th>Name</th>-->
<!--&lt;!&ndash;                            <th>Overtime Eligible</th>&ndash;&gt;-->
<!--                            <th style="width: 40px"></th>-->
<!--                        </tr>-->


<!--                    </table>-->
<!--                </div>-->
<!--                &lt;!&ndash; /.box-body &ndash;&gt;-->
<!--                <div class="box-footer clearfix">-->
<!--                    <ul class="pagination pagination-sm no-margin pull-right" sd:pagination="full">-->
<!--                        <li class="disabled"><a href="#" aria-label="Previous"><span-->
<!--                                aria-hidden="true">&laquo;</span></a>-->
<!--                        </li>-->
<!--                        <li class="active"><a href="#">1 <span class="sr-only">(current)</span></a>-->
<!--                        </li>-->
<!--                    </ul>-->
<!--                </div>-->
<!--            </div>-->
<!--            &lt;!&ndash; /.box &ndash;&gt;-->
<!--        </div>-->
<!--    </div>-->
<!--</section>-->

<!--<section layout:fragment="footer" class="script">-->
<!--    <script>-->
<!--        $(function () {-->
<!--            //Initialize Select2 Elements-->
<!--            $('.select2').select2()-->

<!--            //Datemask dd/mm/yyyy-->
<!--            $('#datemask').inputmask('dd/mm/yyyy', { 'placeholder': 'dd/mm/yyyy' })-->
<!--            //Datemask2 mm/dd/yyyy-->
<!--            $('#datemask2').inputmask('mm/dd/yyyy', { 'placeholder': 'mm/dd/yyyy' })-->
<!--            //Money Euro-->
<!--            $('[data-mask]').inputmask()-->

<!--            //Date range picker-->
<!--            $('#reservation').daterangepicker()-->
<!--            //Date range picker with time picker-->
<!--            $('#reservationtime').daterangepicker({ timePicker: true, timePickerIncrement: 30, locale: { format: 'MM/DD/YYYY hh:mm A' }})-->
<!--            //Date range as a button-->
<!--            $('#daterange-btn').daterangepicker(-->
<!--                {-->
<!--                    ranges   : {-->
<!--                        'Today'       : [moment(), moment()],-->
<!--                        'Yesterday'   : [moment().subtract(1, 'days'), moment().subtract(1, 'days')],-->
<!--                        'Last 7 Days' : [moment().subtract(6, 'days'), moment()],-->
<!--                        'Last 30 Days': [moment().subtract(29, 'days'), moment()],-->
<!--                        'This Month'  : [moment().startOf('month'), moment().endOf('month')],-->
<!--                        'Last Month'  : [moment().subtract(1, 'month').startOf('month'), moment().subtract(1, 'month').endOf('month')]-->
<!--                    },-->
<!--                    startDate: moment().subtract(29, 'days'),-->
<!--                    endDate  : moment()-->
<!--                },-->
<!--                function (start, end) {-->
<!--                    $('#daterange-btn span').html(start.format('MMMM D, YYYY') + ' - ' + end.format('MMMM D, YYYY'))-->
<!--                }-->
<!--            )-->

<!--            //Date picker-->
<!--            $('#tanggalLahir').datepicker({-->
<!--                autoclose: true-->
<!--            })-->

<!--            //iCheck for checkbox and radio inputs-->
<!--            $('input[type="checkbox"].minimal, input[type="radio"].minimal').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-blue',-->
<!--                radioClass   : 'iradio_minimal-blue'-->
<!--            })-->
<!--            //Red color scheme for iCheck-->
<!--            $('input[type="checkbox"].minimal-red, input[type="radio"].minimal-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_minimal-red',-->
<!--                radioClass   : 'iradio_minimal-red'-->
<!--            })-->
<!--            //Flat red color scheme for iCheck-->
<!--            $('input[type="checkbox"].flat-red, input[type="radio"].flat-red').iCheck({-->
<!--                checkboxClass: 'icheckbox_flat-green',-->
<!--                radioClass   : 'iradio_flat-green'-->
<!--            })-->

<!--            //Colorpicker-->
<!--            $('.my-colorpicker1').colorpicker()-->
<!--            //color picker with addon-->
<!--            $('.my-colorpicker2').colorpicker()-->

<!--            //Timepicker-->
<!--            $('.timepicker').timepicker({-->
<!--                showInputs: false-->
<!--            })-->
<!--        })-->
<!--    </script>-->
<!--    <script>-->
<!--        $(".js-example-placeholder-single").select2({-->
<!--            placeholder: "Pilih Salah Satu",-->
<!--            allowClear: true-->
<!--        });-->

<!--        $('.simpan').click(function () {-->
<!--            Swal.fire({-->
<!--                position: 'top-end',-->
<!--                type: 'success',-->
<!--                title: 'Your work has been saved',-->
<!--                showConfirmButton: false-->
<!--            })-->
<!--        });-->





<!--    </script>-->

<!--    <script>-->
<!--        function ubahAktif(arg) {-->
<!--            var id = arg.getAttribute('id');-->
<!--            var x = document.getElementById("overtimeEligible"+id).value;-->
<!--            var y = document.getElementById("isiOvertimeEligible"+id).value;-->
<!--            // $('#isiOvertimeEligible').val(x)-->
<!--            // console.log(x);-->
<!--            const url = '/api/position/aktifkan?id='+y+'&status='+x;-->
<!--            $.getJSON(url, function (data) {-->

<!--                // $('#inputAmount').val(data.amount);-->
<!--                // $('#inputSatuan').val(data.satuan);-->

<!--            });-->

<!--        }-->
<!--        -->
<!--        function myFunction(arg) {-->
<!--            var id = arg.getAttribute('id');-->
<!--            var value = arg.value;-->

<!--            // var idKrs = evt.getAttribute('id');-->
<!--            // var valueKrs = evt.value;-->
<!--            console.log(id);-->
<!--            console.log(value);-->
<!--            console.log($("input[name='" + id + '-' + 'krs' + "']").val());-->

<!--            $(document).keyup(function (e) {-->
<!--                delay(function () {-->
<!--                    console.log(id);-->
<!--                    var url = "/studiesActivity/assesment/score";-->
<!--                    var token = $("input[name='_csrf']").val();-->
<!--                    $.ajax({-->
<!--                        type: "POST",-->
<!--                        dataType: "json",-->
<!--                        contentType: "application/json;charset=UTF-8",-->
<!--                        headers: {"X-CSRF-TOKEN": token},-->
<!--                        url: url,-->
<!--                        data: JSON.stringify({-->
<!--                            "krs" : $("input[name='" + id + '-' + 'krs' + "']").val(),-->
<!--                            "sds" : $("input[name='" + id + '-' + 'sds' + "']").val(),-->
<!--                            "absen" : $("input[name='" + id + '-' + 'absen' + "']").val(),-->
<!--                            "uts" : value,-->
<!--                            "nilai": "",-->
<!--                            "tugas": "",-->
<!--                            "uas" : ""-->
<!--                        })-->
<!--                    }, 500);-->
<!--                    delay(function () {-->
<!--                        $.get("/api/nilai?krsDetail="+ $("input[name='" + id + '-' + 'krs' + "']").val(), function(data, status){-->
<!--                            document.getElementById(data.mahasiswa.id).innerHTML = data.nilaiAkhir;-->
<!--                            document.getElementById(data.mahasiswa.id+'grade').innerHTML = data.grade;-->
<!--                            console.log(data);-->
<!--                        });-->
<!--                    }, 2000);-->

<!--                }, 1000);-->

<!--            });-->
<!--        }-->
<!--    </script>-->

<!--</section>-->

<!--</body>-->
<!--</html>-->